package com.tmax.openframe.variable;

import ch.obermuhlner.math.big.BigDecimalMath;
import com.tmax.openframe.variable.group.*;
import java.math.*;
import java.text.DecimalFormat;
import java.util.*;
import java.util.function.BiFunction;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public class COBTEST5_VariableContainer {
    public @Getter @Setter int IN_CNT = 0;
    public @Getter @Setter int SKIP_CNT = 0;
    public @Getter @Setter int WRITE_CNT = 0;
    public @Getter @Setter int REWRITE_CNT = 0;
    public @Getter String TEMP_REC = StringUtils.repeat(' ', 150);
    public @Getter @Setter COBTEST5_WK_REC WK_REC = new COBTEST5_WK_REC();
    public @Getter @Setter COBTEST5_EMDAIYC EMDAIYC = new COBTEST5_EMDAIYC();
    public @Getter @Setter COBTEST5_EMTXDAC EMTXDAC = new COBTEST5_EMTXDAC();
    private final static BiFunction<Long, String, String> intFormatWithoutSign = (
            value, format) -> {
        DecimalFormat nf = new DecimalFormat();
        nf.setNegativePrefix("");
        nf.applyPattern(format);
        return nf.format(value);
    };

    public String getStringIN_CNT() {
        return intFormatWithoutSign.apply((long) IN_CNT, "0000000");
    }

    public String getStringSKIP_CNT() {
        return intFormatWithoutSign.apply((long) SKIP_CNT, "0000000");
    }

    public String getStringWRITE_CNT() {
        return intFormatWithoutSign.apply((long) WRITE_CNT, "0000000");
    }

    public String getStringREWRITE_CNT() {
        return intFormatWithoutSign.apply((long) REWRITE_CNT, "0000000");
    }

    public String getStringST_CODE() {
        return intFormatWithoutSign.apply((long) ST_CODE, "00");
    }

    public void setTEMP_REC(String source) {
        TEMP_REC = StringUtils.truncate(StringUtils.rightPad(source, 150), 150);
    }
}
